Delete Knowledge Base Data Source Link

Delete Knowledge Base Data Source Link

This method allows you to remove the link between a data source and a knowledge base.

For details, refer to the method to Create a link between a data source and a knowledge base.

Request
URI
DELETE
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/data-sources/{knowledge_base_data_source_id}
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
knowledge_base_data_source_id
Required

knowledge_base_data_source_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns LinkedDataSourceDeleteResponse of type(s) application/json
{
    "id": "string",
    "object": "string",
    "deleted": false
}
string As uuid As uuid
id
Required

ID of the link between a data source and the knowledge base.

string
object
Optional
Constraints: default: knowledge_base_data_source.deleted

Object type, which is always knowledge_base_data_source.deleted.

boolean
deleted
Required

Outcome of the deletion request. If true, the link was deleted. If false, the link is marked for deletion.


404

Invalid knowledge base or link ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
"HTTPValidationError Object"
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/data-sources/{knowledge_base_data_source_id}